%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         vmware
%global repo            govcloudair
# https://github.com/vmware/govcloudair
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          0d7be903f950c035d6e95eabfd9b011a507f4488
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        VCloud Air API bindings for Golang
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
Summary:       %{summary}
BuildRequires: golang >= 1.2.1-3
BuildRequires: golang(github.com/cenkalti/backoff)
BuildRequires: golang(gopkg.in/check.v1)
Requires:      golang(github.com/cenkalti/backoff)
Requires:      golang(gopkg.in/check.v1)
Provides:      golang(%{import_path}) = %{version}-%{release}
Provides:      golang(%{import_path}/testutil) = %{version}-%{release}
Provides:      golang(%{import_path}/types/v56) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%if 0%{?fedora}
%license LICENSE
%doc Readme.md
%else
%doc Readme.md LICENSE
%endif
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Thu Apr 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git0d7be90
- First package for Fedora
  resolves: #1214885
